syncio_memory.h File Reference
`#include <gwenhywfar/syncio.h>`
`#include <gwenhywfar/buffer.h>`

Go to the source code of this file.

## Macros

#define | GWEN_SYNCIO_MEMORY_TYPE "memory"

## Functions

GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_Memory_fromBuffer (const uint8_t *buffer, int size)
GWENHYWFAR_API GWEN_BUFFER * | GWEN_SyncIo_Memory_GetBuffer (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_Memory_new (GWEN_BUFFER *buffer, int take)
GWENHYWFAR_API GWEN_BUFFER * | GWEN_SyncIo_Memory_TakeBuffer (const GWEN_SYNCIO *sio)

## Macro Definition Documentation

## GWEN_SYNCIO_MEMORY_TYPE

#define GWEN_SYNCIO_MEMORY_TYPE "memory"

Definition at line 33 of file syncio_memory.h.

## Function Documentation

## GWEN_SyncIo_Memory_fromBuffer()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_Memory_fromBuffer | ( | const uint8_t * | buffer,
|  | int | size )

References GWENHYWFAR_API.

## GWEN_SyncIo_Memory_GetBuffer()

GWENHYWFAR_API GWEN_BUFFER * GWEN_SyncIo_Memory_GetBuffer | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Memory_new()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_Memory_new | ( | GWEN_BUFFER * | buffer,
|  | int | take )

References GWENHYWFAR_API.

## GWEN_SyncIo_Memory_TakeBuffer()

GWENHYWFAR_API GWEN_BUFFER * GWEN_SyncIo_Memory_TakeBuffer | ( | const GWEN_SYNCIO * | sio | ) |